Resolved: Grails Error – Failed To Install Hibernate when trying to run create Controller

This post is about the error that I encountered when I tried to install and run grails and about how I resolved it.

I had downloaded the latest version of grails from their website grails.org and installed it on my windows based workstation. Everything seemed to have worked perfect except when I tried to run the create-controller command, I encountered an error that said

Error Failed to install plugin [hibernate-2.1.0]. Plugin has missing JAR depenencies.

Solution:

After doing a little bit research, and playing aorund with the tool, I had to do the following steps to resolve this problem.

  1. Downloaded the following jars (You probably can download other versions of these jar files as well)
    • antlr-2.7.6.jar
    • liquibase-core-2.0.5.jar
  2. Added them to /lib folder.
  3. Run the command again.

Just a note, I really didn’t like adding them jar files to the/lib folder, rather I wanted to add it to the grails lib folder itself   But I had to give up as there was extra work creating the dependency files (it looks like grails used Apache Ivy for the dependency management of the jar files), not just dropping the jar files to the folder.